package com.yanzhu.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 分包单位对象 pro_project_info_subdepts
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class ProProjectInfoSubdepts extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 公司主键 */
    private Long comId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String comName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 分包单位类型 */
    @Excel(name = "分包单位类型")
    private String subDeptType;

    /** 分包单位名称 */
    @Excel(name = "分包单位名称")
    private String subDeptName;

    /** 分包单位编号 */
    @Excel(name = "分包单位编号")
    private String subDeptCode;

    /** 负责人主键 */
    @Excel(name = "负责人主键")
    private Long subDeptLeaderId;

    /** 负责人姓名 */
    @Excel(name = "负责人姓名")
    private String subDeptLeaderName;

    /** 负责人证件号码 */
    @Excel(name = "负责人证件号码")
    private String subDeptLeaderCode;

    /** 负责人电话 */
    @Excel(name = "负责人电话")
    private String subDeptLeaderPhone;

    /** 委托书 */
    @Excel(name = "委托书")
    private String subDeptLeaderPowerPath;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessLicensePath;

    /** 单位详情 */
    private String subDeptInfos;

    /** 合同承包内容 */
    @Excel(name = "合同承包内容")
    private String contractInfos;

    /** 进场时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "进场时间")
    private Date useDates;

    /** 进场状态 */
    @Excel(name = "进场状态")
    private String useStatus;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;

    /** 二维码 */
    @Excel(name = "二维码")
    private String qrCode;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    /** 委托人正面照片 */
    private String leaderCardImgPos;
    /** 委托人反面照片 */
    private String leaderCardImgInv;
    /** 委托人半身照片 */
    private String leaderUserPicture;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getComId() {
        return comId;
    }

    public void setComId(Long comId) {
        this.comId = comId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }

    public void setSubDeptType(String subDeptType) 
    {
        this.subDeptType = subDeptType;
    }

    public String getSubDeptType() 
    {
        return subDeptType;
    }
    public void setSubDeptName(String subDeptName) 
    {
        this.subDeptName = subDeptName;
    }

    public String getSubDeptName() 
    {
        return subDeptName;
    }
    public void setSubDeptCode(String subDeptCode) 
    {
        this.subDeptCode = subDeptCode;
    }

    public String getSubDeptCode() 
    {
        return subDeptCode;
    }
    public void setSubDeptLeaderId(Long subDeptLeaderId) 
    {
        this.subDeptLeaderId = subDeptLeaderId;
    }

    public Long getSubDeptLeaderId() 
    {
        return subDeptLeaderId;
    }
    public void setSubDeptLeaderName(String subDeptLeaderName) 
    {
        this.subDeptLeaderName = subDeptLeaderName;
    }

    public String getSubDeptLeaderName() 
    {
        return subDeptLeaderName;
    }
    public void setSubDeptLeaderCode(String subDeptLeaderCode) 
    {
        this.subDeptLeaderCode = subDeptLeaderCode;
    }

    public String getSubDeptLeaderCode() 
    {
        return subDeptLeaderCode;
    }
    public void setSubDeptLeaderPhone(String subDeptLeaderPhone) 
    {
        this.subDeptLeaderPhone = subDeptLeaderPhone;
    }

    public String getSubDeptLeaderPhone() 
    {
        return subDeptLeaderPhone;
    }

    public String getSubDeptLeaderPowerPath() {
        return subDeptLeaderPowerPath;
    }

    public void setSubDeptLeaderPowerPath(String subDeptLeaderPowerPath) {
        this.subDeptLeaderPowerPath = subDeptLeaderPowerPath;
    }

    public String getBusinessLicensePath() {
        return businessLicensePath;
    }

    public void setBusinessLicensePath(String businessLicensePath) {
        this.businessLicensePath = businessLicensePath;
    }

    public String getSubDeptInfos() {
        return subDeptInfos;
    }

    public void setSubDeptInfos(String subDeptInfos) {
        this.subDeptInfos = subDeptInfos;
    }

    public String getContractInfos() {
        return contractInfos;
    }

    public void setContractInfos(String contractInfos) {
        this.contractInfos = contractInfos;
    }

    public Date getUseDates() {
        return useDates;
    }

    public void setUseDates(Date useDates) {
        this.useDates = useDates;
    }

    public void setUseStatus(String useStatus)
    {
        this.useStatus = useStatus;
    }

    public String getUseStatus() 
    {
        return useStatus;
    }
    public void setApproveStatus(Long approveStatus) 
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus() 
    {
        return approveStatus;
    }
    public void setQrCode(String qrCode) 
    {
        this.qrCode = qrCode;
    }

    public String getQrCode() 
    {
        return qrCode;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getLeaderCardImgPos() {
        return leaderCardImgPos;
    }

    public void setLeaderCardImgPos(String leaderCardImgPos) {
        this.leaderCardImgPos = leaderCardImgPos;
    }

    public String getLeaderCardImgInv() {
        return leaderCardImgInv;
    }

    public void setLeaderCardImgInv(String leaderCardImgInv) {
        this.leaderCardImgInv = leaderCardImgInv;
    }

    public String getLeaderUserPicture() {
        return leaderUserPicture;
    }

    public void setLeaderUserPicture(String leaderUserPicture) {
        this.leaderUserPicture = leaderUserPicture;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("subDeptType", getSubDeptType())
            .append("subDeptName", getSubDeptName())
            .append("subDeptCode", getSubDeptCode())
            .append("subDeptLeaderId", getSubDeptLeaderId())
            .append("subDeptLeaderName", getSubDeptLeaderName())
            .append("subDeptLeaderCode", getSubDeptLeaderCode())
            .append("subDeptLeaderPhone", getSubDeptLeaderPhone())
            .append("subDeptLeaderPowerPath", getSubDeptLeaderPowerPath())
            .append("businessLicensePath", getBusinessLicensePath())
            .append("subDeptInfos", getSubDeptInfos())
            .append("contractInfos", getContractInfos())
            .append("useDates", getUseDates())
            .append("useStatus", getUseStatus())
            .append("approveStatus", getApproveStatus())
            .append("qrCode", getQrCode())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
